//============================================================================
// 533I2C_WinTest Code.
// Copyright 2001-2004, Crystalfontz America, Inc. Written by Brent A. Crosby
//
// You may use this code in any project (including commercial) as long as
// at least one of the intents of the project is to communicate with a
// Crystalfontz display.
//
// http://www.crystalfontz.com brent@crystalfontz.com
//
// !!!!!!!! THIS IS TEST CODE ONLY !!!!!!!!
// !!!!!!!!  USE AT YOUR OWN RISK  !!!!!!!!
//
//============================================================================
// SERIAL.H: Windows 32 packet based example code


#include "aardvark.h"

//============================================================================
void Set_I2C_Parent(CWnd* pParent = NULL);
void I2C_Init(void);
void Uninit_I2C();
//============================================================================
typedef unsigned char ubyte;
typedef signed char sbyte;
typedef unsigned short word;
typedef unsigned long dword;
typedef union
  {
  ubyte
    as_bytes[2];
  word
    as_word;
  }WORD_UNION;
//============================================================================
#define MAX_DATA_LENGTH 18
//============================================================================
#define MAX_COMMAND 36
//============================================================================
typedef struct
  {
  ubyte
    command;
  ubyte
    data_length; 
  ubyte
    data[MAX_DATA_LENGTH];
  WORD_UNION
    CRC;
  }COMMAND_PACKET;
//============================================================================
extern COMMAND_PACKET
  incoming_response;
//============================================================================
ubyte check_for_packet(void);
void send_packet(COMMAND_PACKET *packet);
//============================================================================

typedef struct
  {
  int port;
  unsigned int id;
  char name[160];
  }AARDVARK_PORTS;

extern AARDVARK_PORTS
  ports[128];
extern int
  number_of_ports;
extern int
  selected_port;
extern Aardvark
  aardvark_handle;

//============================================================================
